SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   PHP Vendors:   PHP Group
PHP Windows com_print_typeinfo() Buffer Overflow Lets Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1027089
SecurityTracker URL:  http://securitytracker.com/id/1027089
CVE Reference:   CVE-2012-2376   (Links to External Site)
Date:  May 22 2012
Impact:   User access via local system
Exploit Included:  Yes  
Version(s): 5.4.3
Description:   A vulnerability was reported in PHP. A local user can obtain elevated privileges on the target system.

A local user can cause the web service to run specially crafted PHP code to trigger a buffer overflow in the com_print_typeinfo() function and execute arbitrary code on the target system.

A remote authenticated user with PHP upload capabilities may also be able to exploit this flaw.

Only Windows-based systems are affected.

The original advisory is available at:

http://www.exploit-db.com/exploits/18861/

Condis and 0in (Maksymilian Motyl) reported this vulnerability.

Impact:   A local user can obtain elevated privileges on the target system.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.php.net/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Windows (Any)
Underlying OS Comments:  Windows only

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC